App::KGB::Client::Subversion(3pm)

NAME
App::KGB::Client::Subversion - KGB interface to Subversion

SYNOPSIS
    use App::KGB::Client::Subversion;
    my $client = App::KGB::Client::Subversion(
        # common App::KGB::Client parameters
        repo_id => 'my-repo',
        ...
        # Subversion-specific
        repo_path   => '/svn/project',
        revision    => 42,
    );
    $client->run;

DESCRIPTION
App::KGB::Client::Subversion provides Subversion-specific retrieval of commits and changes for App::KGB::Client.

CONSTRUCTOR

  new ( { initializers } )
Standard constructor. Accepts inline hash with initial field values.

FIELDS
App:KGB::Client::Subversion defines two additional fields:

repo_path (mandatory)
    Physical path to Subversion repository.

revision
    The revision about which to notify. If omitted defaults to the last revision of the repository.

METHODS

describe_commit
    The first time this method is called, it retrieves commit number and repository path from command-line parameters and returns an instance of App::KGB::Commit class describing the commit.

    All subsequential invocations return undef.